## ros-noetic-cras-py-common 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(cras_py_common)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  find_package(rostest REQUIRED)

  # catkin_lint - checks validity of package.xml and CMakeLists.txt
  # ROS buildfarm calls this without any environment and with empty rosdep cache,
  # so we have problems reading the list of packages from env
  # see https://github.com/ros-infrastructure/ros_buildfarm/issues/923
  if(DEFINED ENV{ROS_HOME})
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{ROS_HOME}")
  else()
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{HOME}/.ros")
  endif()

  #catkin_lint: ignore_once env_var
  if(DEFINED ENV{ROS_ROOT} AND EXISTS "${ROS_HOME}/rosdep/sources.cache")
    roslint_custom(catkin_lint "-W2" .)
  endif()

  # Run roslint on Python sources
  file(GLOB_RECURSE python_files src/*.py)
  roslint_python("${python_files}")

  roslint_add_test()

  add_rostest(test/test_log_utils.test)
  add_rostest(test/test_node_utils.test)
  add_rostest(test/test_param_utils.test)
  add_rostest(test/test_static_transform_broadcaster.test)
  add_rostest(test/test_topic_utils.test)

  catkin_add_nosetests(test/test_ctypes_utils.py)
  catkin_add_nosetests(test/test_geometry_utils.py)
  catkin_add_nosetests(test/test_message_utils.py)
  catkin_add_nosetests(test/test_string_utils.py)
  catkin_add_nosetests(test/test_test_utils.py)
  catkin_add_nosetests(test/test_time_utils.py)
endif()

=== debian/changelog ===
ros-noetic-cras-py-common (2.1.2-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Feb 2023 23:00:00 -0000

ros-noetic-cras-py-common (2.1.1-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-py-common (2.1.0-1buster) buster; urgency=high

  * ctypes_utils: Added specialized allocators for ROS messages and for rosconsole logs.
  * string_utils: Register genpy Time and Duration for to_str() conversion, too.
  * ctypes_utils: Do not add one byte to StringAlloc allocated size. The caller has to do it now.
  * ctypes_utils: Autodetection of length of a BufferStringIO stream.
  * ctypes_utils: Added get_ro_c_buffer.
  * Added utilities for working with ctypes.
  * Allow resetting nodes by topic.
  * Added support for enums in to_str() and param utils.
  * Hide tf2_ros includes in geometry_utils.py inside function calls.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-py-common (2.0.10-1buster) buster; urgency=high

  * Fix test bug.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.9-1buster) buster; urgency=high

  * Relay attribute access in GenericMessageSubscriber to the raw subscriber (to allow e.g. calling unsubscribe()).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.8-1buster) buster; urgency=high

  * Pass connection header to user callback in GenericMessageSubscriber.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.7-1buster) buster; urgency=high

  * Moved get_msg_type from type_utils to message_utils and added get_msg_field there.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.6-1buster) buster; urgency=high

  * Added topic_utils and type_utils.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.5-1buster) buster; urgency=high

  * Added static_transform_broadcaster docs to readme.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 22 Oct 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.4-1buster) buster; urgency=high

  * Fixed StaticTransformBroadcaster on Noetic and added unit test for it.
  * Added missing license notices.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Oct 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.3-1buster) buster; urgency=high

  * Improved time_utils, added node_utils.
  * Added geometry_utils.py.
  * Remove support for long integer type to achieve compatibility with Python 3.
  * Extended functionality to get closer to cras_cpp_common.
  * Improved readmes and added more badges to them.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 06 Oct 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.2-1buster) buster; urgency=high

  * De-flake throttle test and enable catkin_lint when it has chance to run correctly.
  * Added website links.
  * Add linters and licenses.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 28 Aug 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.1-1buster) buster; urgency=high

  * Moved hack_frame_id from cras_py_common to cras_topic_tools.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 25 Aug 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-cras-py-common
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-lint <!nocheck>, python3-numpy <!nocheck>, python3-setuptools, ros-noetic-catkin, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>
Homepage: https://wiki.ros.org/cras_py_common
Standards-Version: 3.9.2

Package: ros-noetic-cras-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-rosgraph, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-tf, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Description: A Czech-army knife for ROS code written in Python.

## ros-noetic-cras-py-common 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.7.2)
+cmake_minimum_required(VERSION 3.10.2)
 project(cras_py_common)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-noetic-cras-py-common (2.3.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 22:00:00 -0000

ros-noetic-cras-py-common (2.3.0-1focal) focal; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 11 Jul 2023 22:00:00 -0000

ros-noetic-cras-py-common (2.2.3-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 15 Jun 2023 22:00:00 -0000

ros-noetic-cras-py-common (2.2.2-1focal) focal; urgency=high

  * ctypes_utils: Added ScalarAllocator.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 14 May 2023 22:00:00 -0000

ros-noetic-cras-py-common (2.2.1-1focal) focal; urgency=high

  * message_utils: Added dict_to_dynamic_config_msg().
  * ctypes_utils: Added c_array() method.
  * message_utils: Added get_srv_types() and get_cfg_module().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 14 May 2023 22:00:00 -0000

ros-noetic-cras-py-common (2.2.0-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 08 Apr 2023 22:00:00 -0000

ros-noetic-cras-py-common (2.1.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Feb 2023 23:00:00 -0000

ros-noetic-cras-py-common (2.1.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-py-common (2.1.0-1focal) focal; urgency=high

  * ctypes_utils: Added specialized allocators for ROS messages and for rosconsole logs.
  * string_utils: Register genpy Time and Duration for to_str() conversion, too.
  * ctypes_utils: Do not add one byte to StringAlloc allocated size. The caller has to do it now.
  * ctypes_utils: Autodetection of length of a BufferStringIO stream.
  * ctypes_utils: Added get_ro_c_buffer.
  * Added utilities for working with ctypes.
  * Allow resetting nodes by topic.
  * Added support for enums in to_str() and param utils.
  * Hide tf2_ros includes in geometry_utils.py inside function calls.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-py-common (2.0.10-1focal) focal; urgency=high

  * Fix test bug.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.9-1focal) focal; urgency=high

  * Relay attribute access in GenericMessageSubscriber to the raw subscriber (to allow e.g. calling unsubscribe()).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.8-1focal) focal; urgency=high

  * Pass connection header to user callback in GenericMessageSubscriber.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.7-1focal) focal; urgency=high

  * Moved get_msg_type from type_utils to message_utils and added get_msg_field there.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.6-1focal) focal; urgency=high

  * Added topic_utils and type_utils.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 23 Nov 2022 23:00:00 -0000

ros-noetic-cras-py-common (2.0.5-1focal) focal; urgency=high

  * Added static_transform_broadcaster docs to readme.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 22 Oct 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.4-1focal) focal; urgency=high

  * Fixed StaticTransformBroadcaster on Noetic and added unit test for it.
  * Added missing license notices.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Oct 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.3-1focal) focal; urgency=high

  * Improved time_utils, added node_utils.
  * Added geometry_utils.py.
  * Remove support for long integer type to achieve compatibility with Python 3.
  * Extended functionality to get closer to cras_cpp_common.
  * Improved readmes and added more badges to them.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 06 Oct 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.2-1focal) focal; urgency=high

  * De-flake throttle test and enable catkin_lint when it has chance to run correctly.
  * Added website links.
  * Add linters and licenses.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 28 Aug 2022 22:00:00 -0000

ros-noetic-cras-py-common (2.0.1-1focal) focal; urgency=high

  * Moved hack_frame_id from cras_py_common to cras_topic_tools.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 25 Aug 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-cras-py-common
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-lint <!nocheck>, python3-numpy <!nocheck>, python3-setuptools, ros-noetic-catkin, ros-noetic-cras-cpp-common <!nocheck>, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>
Homepage: https://wiki.ros.org/cras_py_common
Standards-Version: 3.9.2

Package: ros-noetic-cras-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-rosgraph, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-tf, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Description: A Czech-army knife for ROS code written in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cras-py-common//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
